Bug 1126045

Summary: Review Request: perl-IO-Pager - Select a pager and pipe text to it if destination is a TTY
Product: [Fedora] Fedora Reporter: Devrim Gündüz <devrim>
Component: Package ReviewAssignee: David Dick <ddick>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ddick, i, package-review, ppisar
Target Milestone: ---Flags: ddick: fedora-review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-15 15:32:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Devrim Gündüz 2014-08-01 16:54:04 UTC
Spec URL: http://www.gunduz.org/epel/perl-IO-Pager.spec

SRPM URL: http://www.gunduz.org/epel/perl-IO-Pager-0.24-1.fc20.src.rpm

Description:
IO::Pager can be used to locate an available pager and set the PAGER
environment variable (see "NOTES"). It is also a factory for creating I/O
objects such as IO::Pager::Buffered and IO::Pager::Unbuffered.


Fedora Account System Username: devrim

Note: I am not sure about the license. I need ideas on it.

Comment 1 David Dick 2014-08-02 02:19:40 UTC
There are licensing terms in 

lib/IO/Pager/Buffered.pm
lib/IO/Pager/Page.pm
lib/IO/Pager/Unbuffered.pm
lib/IO/Pager.pm
README

All of them offer the package under a license that upstream seems to have created OR under "GPL+ or Artistic".  I suggest you take the "GPL+ or Artistic" license option.

It looks like (from your SPEC/SRPM urls) you are building for EPEL.  Are you planning to build for EPEL5 or is EPEL6/EPEL7 good enough?

The Changelog mentions "David E. Wheeler" when it has to mention you.

The %description tag mentions (see "NOTES") which is not useful as you have not included the "NOTES" section in the spec file.  Please re-write this section.

Comment 2 Christopher Meng 2014-08-02 06:52:34 UTC
Can you tell me when to fix https://apps.fedoraproject.org/packages/grass/bugs?

Comment 3 Petr Pisar 2014-08-21 15:17:42 UTC
Debian had problems with the former license until upstream changed the wording to the current one ("Or, if you prefer"). See <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508249>.

Devrim, please correct the License value to "GPL+ or Artistic" in order to proceed this review.

Comment 4 Devrim Gündüz 2014-09-23 11:14:16 UTC
Hi,

Updated spec files per comments.

Spec URL: http://www.gunduz.org/epel/perl-IO-Pager.spec

SRPM URL: http://www.gunduz.org/epel/perl-IO-Pager-0.24-2.fc20.src.rpm

I would like to see this for EPEL 6+.

Regards, Devrim

Comment 5 David Dick 2014-09-30 05:34:37 UTC
Okay.  This package does not build.

http://koji.fedoraproject.org/koji/taskinfo?taskID=7726086

You should include as a BuildRequire all the modules that package needs when running "perl Makefile.PL", "make", "make install" and "make test" steps.

such as "BuildRequire: perl(Env)"

Package is also an old version.  Update to latest version 0.31.

Comment 6 Petr Pisar 2017-03-15 15:32:08 UTC

*** This bug has been marked as a duplicate of bug 1432082 ***